Support » Plugin: Proxy & VPN Blocker » Everyone is now blocked (after latest update)

  • Resolved on4bam

    (@on4bam)


    This afternoon I updated to the latest version and I’m now getting reports people can’t login anymore as they get “Proxy or VPN detected -Please disable…”
    I tried with my second account and a Firefox Private Window and get the same error.
    Tere’s no issue with api limits (53/1000).

    As we have our monthly virtual meeting this evening I switched the plugin off.

    As there are no other posts on this I wonder if it’s a general problem. I haven’t had time to investigate as I just got home and our meeting is in one hour….

Viewing 11 replies - 1 through 11 (of 11 total)
  • Thread Starter on4bam

    (@on4bam)

    I’ve taken a quick look. Switched the plugin back on and I can log in again. So does another user (also admin).
    I will have to keep an eye on the “regular” users logging in (or trying to) in about an hour.

    Plugin Author rickstermuk

    (@rickstermuk)

    Hi on4bam, This is quite peculiar as I haven’t had any similar reports and the six websites I run this on myself are all functioning.

    What version was you running prior to the update?

    Thank you, Rick.

    Thread Starter on4bam

    (@on4bam)

    Just the previous one. I saw that there was an update yesterday but I waited until today to make a complete backup (as I always do ) and update the plugins (PVB and Nextgen gallery)

    I’ll know more once users log in for the meeting shortly.

    BTW.. Ignore the “off and back on” comment. It seems I forgot to “save settings”. An active plugin still blocks everyone.

    Plugin Author rickstermuk

    (@rickstermuk)

    It does seem to be broken for you, I went to your site (from previous support thread) and do get blocked on your login page.

    This is going to require some further investigation.

    Thread Starter on4bam

    (@on4bam)

    I switched it off again.
    I’ll see if I can test some more on Sunday.

    Thread Starter on4bam

    (@on4bam)

    I ran some more tests.

    Enable Querying set to “off” = all is OK (duh…)
    Set back on.. everyone is blocked “VPN detected…. ”
    I remain logged in so my IP should be OK (whitelisted) but logging in from the same PC from a firefox private window = “VPN detected..”
    Logging from my tablet with Firefox or Chrome = “VPN detected..”

    Disabled Whitelist (only 2 countries were whitelisted) = no difference
    Disable “stop spammers” plugin = no difference
    Disable “Fullworks Firewall” = no difference

    Maybe caching has something to do with it so flushing the cache might make a difference. Don’t know if that can be done.

    Is there a place to download the previous version?

    For now, the plugin is disabled again.

    Plugin Author rickstermuk

    (@rickstermuk)

    Hi on4bam,

    Thanks for testing!

    There does appear to be a bug with the country list being used as a whitelist but I’m not yet sure why this is happening. It is possibly related to the new API query function, but it is quite odd behavior. I have managed to trigger the issue you are experiencing in my own testing now.

    I recommend you go back to 1.6.8 for the moment, you can find this here:
    https://downloads.wordpress.org/plugin/proxy-vpn-blocker.1.6.8.zip

    a new update should be out as soon as I have patched this new issue.

    Thread Starter on4bam

    (@on4bam)

    Hi Rick,

    Thanks for the (once again) fast reply. Good to see you managed to replicate the faulty behavior (and confirming I’m not going crazy 😉 ).

    I’m back on 1.6.8 now and at first the issue was not resolved (tried private window on my main PC and FF Android). I then deleted the two countries in the Country/Continent list AND switched off “Treat Country/Continent as a Whitelist”. At that point I could log in again as usual.

    Weird thing is I could not log in anywhere but I had no issues renewing the login + 2FA after timing out on the main PC.

    Anyway, I’ll try updating again (without the whitelist option) to see if the newest version is OK, if not I can always go back to 1.6.8.

    Thread Starter on4bam

    (@on4bam)

    OK.. all is well now and I can recreate the blocking I experienced earlier.
    Putting countries/continents on the list seems to work but “Treat the list as whitelist” blocks all users no matter what is on the country/continent list.
    Instead of having two countries as whitelisted I have now 3 continents as blacklisted.

    I hope this helps to fix things.

    Plugin Author rickstermuk

    (@rickstermuk)

    I have released an update, hopefully this will no longer be an issue! 🙂

    Thank you for reporting it and apologies for the issues.

    Thread Starter on4bam

    (@on4bam)

    Looks good.

    Thanks.

Viewing 11 replies - 1 through 11 (of 11 total)
  • The topic ‘Everyone is now blocked (after latest update)’ is closed to new replies.